Avro C++

Namespaces | Functions
Zigzag.hh File Reference
`#include <array>`
`#include <cstddef>`
`#include <cstdint>`
`#include "Config.hh"`

Go to the source code of this file.

## Namespaces
| avro
| A bunch of templates and specializations for encoding and decoding specific types.

## Functions
constexpr AVRO_DECL uint64_t | avro::encodeZigzag64 (int64_t input) noexcept
constexpr AVRO_DECL int64_t | avro::decodeZigzag64 (uint64_t input) noexcept
constexpr AVRO_DECL uint32_t | avro::encodeZigzag32 (int32_t input) noexcept
constexpr AVRO_DECL int32_t | avro::decodeZigzag32 (uint32_t input) noexcept
AVRO_DECL size_t | avro::encodeInt32 (int32_t input, std::array< uint8_t, 5 > &output) noexcept
AVRO_DECL size_t | avro::encodeInt64 (int64_t input, std::array< uint8_t, 10 > &output) noexcept

## Detailed Description

Functions for encoding and decoding integers with zigzag compression